Foreman - Bug #24303

after new host group is created search doesn't work properly, search menu opens the create host
group
07/19/2018 12:13 PM - Avi Sharvit

Status: Closed
Priority: Normal
Assignee:

Category: Host groups

Target version:

Difficulty: Fixed in Releases: 1.20.0
Triaged: No Found in Releases:
Bugzilla link: 1599303 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5861
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1599303

Description of problem:

After creation of Host Group, search doesn't work properly, search result is not shown, instead of it the Creation of Host Group is
opened again. You can create second Host Group -> submit the result and when you try to search smth again the same result. You
can get easily cycled.

Version-Release number of selected component (if applicable):
Compose 9, | don't try newer or older version or compose.

How reproducible:
Deterministic

Steps to Reproduce:

1. Configure -> Host Groups -> Create Host Group

2. Filled only the name -> Submit -> [Successfully created]

3. Into upper filter, write what you want, e.c name of just created Host Group, click on Search
4. Instead of search result, the Create Host Group menu is opened again

Actual results:
Instead of search result the Create Host Group is opened

Expected results:
The result of the search

Additional info:

Bug NOT happened when:

1,2. steps are the same

3. again through Configure -> Host Groups -> search for smth and search result works as you expect
OR

1,2,3. steps are the same

4. instead of filling new name and cycle into the process, cancel the Create Host Group

5. Search for smth -> search result works too

Associated revisions

Revision 751e9406 - 07/23/2018 06:10 PM - Avi Sharvit
Fixes #24303 - New hostgroup after submit path

Change the url to hostgroups_path
after creating a new hostgroup

History
https://bugzilla.redhat.com/show_bug.cgi?id=1599303

#1 - 07/19/2018 01:50 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5861 added

#2 - 07/23/2018 07:09 PM - Avi Sharvit
- Status changed from Ready For Testing to Closed

Applied in changeset 7519406ad28c01003a9ba020a840d2a5c3540e7.
#3 - 07/24/2018 10:41 AM - Marek Hulan

- Subject changed from after new host group is created search doesn't work properly, search menu opens the create host group
to after new host group is created search doesn't work properly, search menu opens the create host group

- Fixed in Releases 1.20.0 added
